Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class MarkerAnnotationPreferences

    java.lang.Object
      org.eclipse.ui.texteditor.MarkerAnnotationPreferences

public class MarkerAnnotationPreferences
extends Object

Objects of this class provide access to all extensions declared for the `markerAnnotationSpecification` extension point. The extensions are represented as instances of `AnnotationPreference`.

Since:
  2.1

Constructor Summary
`MarkerAnnotationPreferences()` Creates a new marker annotation preferences to access marker annotation preferences.

Method Summary
`List` | `getAnnotationPreferenceFragments()` Returns all extensions provided for the `markerAnnotationSpecification` extension point including fragments.
`List` | `getAnnotationPreferences()` Returns all extensions provided for the `markerAnnotationSpecification` extension point.
`static void` | `initializeDefaultValues(IPreferenceStore store)` Initializes the given preference store with the default marker annotation values.
`static void` | `useAnnotationsPreferencePage(IPreferenceStore store)` Removes the marker annotation values which are shown on the general Annotations page from the given store and prevents setting the default values in the future.
`static void` | `useQuickDiffPreferencePage(IPreferenceStore store)` Removes the Quick Diff marker annotation values which are shown on the general Quick Diff page from the given store and prevents setting the default values in the future.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarkerAnnotationPreferences

    public MarkerAnnotationPreferences()

  Creates a new marker annotation preferences to access marker annotation preferences.

Method Detail

### initializeDefaultValues

    public static void initializeDefaultValues(IPreferenceStore store)

  Initializes the given preference store with the default marker annotation values.

  Parameters:
    `store` - the preference store to be initialized
  Since:
    3.0

### useAnnotationsPreferencePage

    public static void useAnnotationsPreferencePage(IPreferenceStore store)
                                             throws IllegalStateException

  Removes the marker annotation values which are shown on the general Annotations page from the given store and prevents setting the default values in the future.

  Note: In order to work this method must be called before any call to `initializeDefaultValues(IPreferenceStore)`

  This method is not part of the API and must only be called by `EditorsUI`

  Parameters:
    `store` - the preference store to be initialized
  Throws:
    `IllegalStateException` - if not called by `EditorsUI`
  Since:
    3.0

### useQuickDiffPreferencePage

    public static void useQuickDiffPreferencePage(IPreferenceStore store)
                                           throws IllegalStateException

  Removes the Quick Diff marker annotation values which are shown on the general Quick Diff page from the given store and prevents setting the default values in the future.

  Note: In order to work this method must be called before any call to `initializeDefaultValues(IPreferenceStore)`

  This method is not part of the API and must only be called by `EditorsUI`

  Parameters:
    `store` - the preference store to be initialized
  Throws:
    `IllegalStateException` - if not called by `EditorsUI`
  Since:
    3.0

### getAnnotationPreferences

    public List getAnnotationPreferences()

  Returns all extensions provided for the `markerAnnotationSpecification` extension point.

  Returns:
    all extensions provided for the `markerAnnotationSpecification` extension point

### getAnnotationPreferenceFragments

    public List getAnnotationPreferenceFragments()

  Returns all extensions provided for the `markerAnnotationSpecification` extension point including fragments. Fragments share the preference part with a marker annotation specifications provided for a super type but do change the presentation part.

  Returns:
    all extensions provided for the `markerAnnotationSpecification` extension point including fragments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.